Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mycompiler.myoperator
Class NotEqualOp

    java.lang.Object
      mycompiler.myoperator.Operator
          mycompiler.myoperator.RelOp
              mycompiler.myoperator.NotEqualOp

    public class NotEqualOp

extends RelOp

Constructor Summary
`NotEqualOp()`

Method Summary
`void` | `codegen(ClassFile classfile, CodeAttribute code, Expr expr, boolean not, de.dhbwstuttgart.typeinference.Menge paralist)`
`void` | `if_codegen(ClassFile classfile, CodeAttribute code, java.lang.String type, boolean not)`
`CTripleSet` | `TRExp(Binary binary, CSubstitutionSet sigma, CTypeAssumptionSet V, CSupportData supportData)` Implementierung des Algorithmus 5.54 von Martin Pl�micke Achtung Workaround: Wenn die BaseTypes endlich korrekt implementiert sind, dann sollte der RefType "Boolean" �berall durch den BaseType "BooleanType" ersetzt werden!!!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotEqualOp

    public NotEqualOp()

Method Detail

### codegen

    public void codegen(ClassFile classfile,
                        CodeAttribute code,
                        Expr expr,
                        boolean not,
                        de.dhbwstuttgart.typeinference.Menge paralist)
                 throws JVMCodeException

  Specified by:
    `codegen` in class `Operator`
  Throws:
    `JVMCodeException`

### if_codegen

    public void if_codegen(ClassFile classfile,
                           CodeAttribute code,
                           java.lang.String type,
                           boolean not)
                    throws JVMCodeException

  Specified by:
    `if_codegen` in class `RelOp`
  Throws:
    `JVMCodeException`

### TRExp

    public CTripleSet TRExp(Binary binary,
                            CSubstitutionSet sigma,
                            CTypeAssumptionSet V,
                            CSupportData supportData)

  Implementierung des Algorithmus 5.54 von Martin Pl�micke
  Achtung Workaround: Wenn die BaseTypes endlich korrekt implementiert sind, dann sollte der RefType "Boolean" �berall durch den BaseType "BooleanType" ersetzt werden!!!
  Author: J�rg B�uerle

  Overrides:
    `TRExp` in class `RelOp`
  Parameters:
    `binary` -
    `sigma` -
    `V` -
    `supportData` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD